### Name: constrReduce
### Title: Impose constraints on a QCA solution
### Aliases: constrReduce


### ** Examples

## Not run: 
##D ## example 1
##D data(Yamasaki,package="QCA")
##D ans0 <- reduce(Yamasaki,"AGENDA",names(Yamasaki)[1:5],"negative","include") ## 5 solutions
##D ans1 <- reduce(Yamasaki,"AGENDA",names(Yamasaki)[1:5],"positive","include")
##D (csa2 <- CSA(ans0[2],ans1)) ## get and show CSAs
##D (ans02 <- constrReduce(ans0[2],exclude=csa2$solutions[[1]])) ## impose constraint
##D CSA(ans02,ans1) ## no CSA now
##D 
##D ## example 2
##D data(Osa,package="QCA") ## QCA package is required to run this example
##D conditions <- c("DYNA","ACCES","INFLU","ELITE","SOCIAL")
##D a <- reduce(mydata = Osa, outcome = "OUT", conditions = conditions, explain = "negative", remainders = "ex", contradictions = "negative")
##D b <- reduce(mydata = Osa, outcome = "OUT", conditions = conditions, explain = "negative", remainders = "include", contradictions = "negative")
##D sa <- SA(b) ## simplifying assumptions
##D constrReduce(a,inc=sa$solutions[[1]]) ## == b
##D constrReduce(b,exc=sa$solutions[[1]]) ## == a
##D constrReduce(b,necess=list(ACCES=0,ELITE=0,social=0)) ## method 1 of imposing necessary conditions
##D ## inspect the SAs (that is sa), 3-6 SAs are against the necessary conditions
##D constrReduce(b,exclude=sa$solutions[[1]][3:6,]) ## method 2 of imposing necessary conditions
##D constrReduce(a,include=sa$solutions[[1]][1:2,]) ## the same.
## End(Not run)



